OpenNMS API 1.2.9

## org.opennms.report.availability
Class Day

    java.lang.Object
      org.opennms.report.availability.Day

All Implemented Interfaces:
  java.io.Serializable

public class Day
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private int` `_date`
`private boolean` `_has_date` keeps track of state for field: _date
`private boolean` `_has_pctValue` keeps track of state for field: _pctValue
`private boolean` `_has_visible` keeps track of state for field: _visible
`private double` `_pctValue`
`private boolean` `_visible`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Day()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `deleteDate()`
`void` `deletePctValue()`
`void` `deleteVisible()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`int` `getDate()` Returns the value of field 'date'.
`double` `getPctValue()` Returns the value of field 'pctValue'.
`boolean` `getVisible()` Returns the value of field 'visible'.
`boolean` `hasDate()`
`boolean` `hasPctValue()`
`boolean` `hasVisible()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setDate(int date)` Sets the value of field 'date'.
`void` `setPctValue(double pctValue)` Sets the value of field 'pctValue'.
`void` `setVisible(boolean visible)` Sets the value of field 'visible'.
`static Day` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _date

    private int _date

### _has_date

    private boolean _has_date

  keeps track of state for field: _date

### _pctValue

    private double _pctValue

### _has_pctValue

    private boolean _has_pctValue

  keeps track of state for field: _pctValue

### _visible

    private boolean _visible

### _has_visible

    private boolean _has_visible

  keeps track of state for field: _visible

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Day

    public Day()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### deleteDate

    public void deleteDate()

### deletePctValue

    public void deletePctValue()

### deleteVisible

    public void deleteVisible()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getDate

    public int getDate()

  Returns the value of field 'date'.

  Returns:
    the value of field 'date'.

### getPctValue

    public double getPctValue()

  Returns the value of field 'pctValue'.

  Returns:
    the value of field 'pctValue'.

### getVisible

    public boolean getVisible()

  Returns the value of field 'visible'.

  Returns:
    the value of field 'visible'.

### hasDate

    public boolean hasDate()

### hasPctValue

    public boolean hasPctValue()

### hasVisible

    public boolean hasVisible()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setDate

    public void setDate(int date)

  Sets the value of field 'date'.

  Parameters:
    `date` - the value of field 'date'.

### setPctValue

    public void setPctValue(double pctValue)

  Sets the value of field 'pctValue'.

  Parameters:
    `pctValue` - the value of field 'pctValue'.

### setVisible

    public void setVisible(boolean visible)

  Sets the value of field 'visible'.

  Parameters:
    `visible` - the value of field 'visible'.

### unmarshal

    public static Day unmarshal(java.io.Reader reader)
                         throws org.exolab.castor.xml.MarshalException,
                                org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.